# $Revision: 1.8 $, $Date: 2004/04/26 18:57:20 $
Summary:	Proxy for redirecting TCP connections to/from serial links
Summary(pl):	Proxy przekierowujce poczenia TCP do/z pocze szeregowych
Name:		serproxy
Version:	0.1.2
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.lspace.nildram.co.uk/files/%{name}-%{version}.tar.gz
# Source0-md5:	3cdac9c05fb3a272e4cc4d7ae433fb17
URL:		http://www.lspace.nildram.co.uk/freeware.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Serproxy is a GPL multi-threaded proxy program for redirecting network
socket connections to/from serial links, in cases where the remote end
of the serial link doesn't have a TCP/IP stack (eg an embedded or
microcontroller system). The proxy allows other hosts on the network
to communicate with the system on the remote end of the serial link.
When run, it listens for incoming connections on a number of tcp
ports. Whenever a connection is made data is proxied to and from that
connection to a serial port.

%description -l pl
Serproxy jest wielowtkowym proxy do przekierowywania pocze
sieciowych na/z czy szeregowych w przypadkach kiedy kocwka nie ma
stosu TCP/IP (np. w systemach wbudowanych lub mikrokontrolerach). Ten
proxy pozwala innym komputerom w sieci na komunikacj z kocwk na
poczeniu szeregowym. Po uruchomieniu sucha na portach TCP. Po
poczeniu dane s przekierowywane do i z tego poczenia na port
szeregowy.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -D__UNIX__ %{?debug:-DDEBUG}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}}

install serproxy $RPM_BUILD_ROOT%{_sbindir}
install serproxy.cfg $RPM_BUILD_ROOT%{_sysconfdir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/serproxy.cfg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: serproxy.spec,v $
Revision 1.8  2004/04/26 18:57:20  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.7  2003/05/28 13:01:50  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/11/29 22:46:22  ankry
- massive attack: new %%doc

Revision 1.4  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/30 00:45:45  kloczek
- Group changed to Networking/Daemons,
- spec adapterized.
NOTE: init scrip is missing.

Revision 1.1  2001/09/11 13:10:33  qboosh
- new package
